﻿
namespace Hotline.Ai.Jths.OrderVisits
{
    public class AiVisitServiceRequest
    {
        /// <summary>
        /// 批次名称
        /// </summary>
        public string BatchName { get; set; }
        /// <summary>
        /// 批次状态 1：启动 2：暂停
        /// </summary>
        public int BatchStatus { get; set; }
        /// <summary>
        /// 场景ID
        /// </summary>
        public string SceneUid { get; set; }
        /// <summary>
        /// 任务数据
        /// </summary>
        public List<TaskData> TaskDataList { get; set; }
        /// <summary>
        /// 优先级
        /// </summary>
        public int Priority { get; set; }
        /// <summary>
        /// 外呼开始时间
        /// </summary>
        public string StartDate { get; set; }
        /// <summary>
        /// 外呼结束时间
        /// </summary>
        public string EndDate { get; set; }

        /// <summary>
        /// 节日禁呼 0：否 1：是
        /// </summary>
        public int FestivalBan { get; set; }
        /// <summary>
        /// 外呼规则类型 1：自定义 2：：使用现有规则
        /// </summary>
        public int RuleType { get; set; }

        /// <summary>
        /// 现有外呼规则ID
        /// </summary>
        public string RuleUid { get; set; }
    }

    public class TaskData
    {
        public string CalledNumber { get; set; }

        public List<Variable> VariableList { get; set; }
    }

    public class Variable
    {
        public string Code { get; set; }

        public string Value { get; set; }
    }
}
